Subject: Re: A little piece of IPv6 makes full Standard status

From: Paul Wilson <[email-masked]>
Date: Wed, 02 Feb 2005 17:05:53 +1000

Paul Wilson wrote:
> It seems that sect 3.2.2 this RFC 3986 requires left padding of each 
> 16-bit piece of an IPv6 address with "0"
> 
>    eg 0000::/16 is allowed but 0::/16 is not
> 
> If so, that seems incompatible with some common usages, including many 
> of those listed in sect 2 of RFC 2732.

The authors inform me that this is not the case.  The specification allows a 
variable number of digits in each 16-bit piece of the address.

Paul Wilson
APNIC

> 
> I note that the form "::192.9.5.5" also seems to be disallowed by the 
> new RFC.
> 
> Paul Wilson
> APNIC
> 
> 
> Brian E Carpenter wrote:
> 
>> fyi, this includes the IPv6 address format (obsoleting RFC 2732).
>>
>>    Brian
>>
>> -------- Original Message --------
>> Subject: STD 66,    RFC 3986 on Uniform Resource Identifier (URI): 
>> Generic Syntax
>> Date: Tue, 25 Jan 2005 17:32:09 -0800
>> From: [email-masked]
>> To: [email-masked]
>> CC: [email-masked]
>>
>>
>> A new Request for Comments is now available in online RFC libraries.
>>
>>
>>         STD 66
>>         RFC 3986
>>
>>         Title:      Uniform Resource Identifier (URI): Generic Syntax
>>         Author(s):  T. Berners-Lee, R. Fielding, L. Masinter
>>         Status:     Standards Track
>>         Date:       January 2005
>>         Mailbox:    [email-masked], [email-masked], [email-masked]
>>         Pages:      61
>>         Characters: 141811
>>         Updates:    1738
>>         Obsoletes:  2732, 2396, 1808
>>
>>         I-D Tag:    draft-fielding-uri-rfc2396bis-07.txt
>>
>>         URL:        ftp://ftp.rfc-editor.org/in-notes/rfc3986.txt
>>
>>
>> A Uniform Resource Identifier (URI) is a compact sequence of
>> characters that identifies an abstract or physical resource.  This
>> specification defines the generic URI syntax and a process for
>> resolving URI references that might be in relative form, along with
>> guidelines and security considerations for the use of URIs on the
>> Internet.  The URI syntax defines a grammar that is a superset of all
>> valid URIs, allowing an implementation to parse the common
>> components of a URI reference without knowing the scheme-specific
>> requirements of every possible identifier.  This specification does
>> not define a generative grammar for URIs; that task is performed by
>> the individual specifications of each URI scheme.
>>
>> This is now a Standard Protocol.
>>
>> This document specifies an Internet standards track protocol for the
>> Internet community, and requests discussion and suggestions for
>> improvements.  Please refer to the current edition of the "Internet
>> Official Protocol Standards" (STD 1) for the standardization state
>> and status of this protocol.  Distribution of this memo is unlimited.
>>
>> This announcement is sent to the IETF list and the RFC-DIST list.
>> Requests to be added to or deleted from the IETF distribution list
>> should be sent to [email-masked].  Requests to be
>> added to or deleted from the RFC-DIST distribution list should
>> be sent to [email-masked].
>>
>> Details on obtaining RFCs via FTP or EMAIL may be obtained by sending
>> an EMAIL message to [email-masked] with the message body
>> help: ways_to_get_rfcs.  For example:
>>
>>         To: [email-masked]
>>         Subject: getting rfcs
>>
>>         help: ways_to_get_rfcs
>>
>> Requests for special distribution should be addressed to either the
>> author of the RFC in question, or to [email-masked].  Unless
>> specifically noted otherwise on the RFC itself, all RFCs are for
>> unlimited distribution.
>>
>> Submissions for Requests for Comments should be sent to
>> [email-masked].  Please consult RFC 2223, Instructions to RFC
>> Authors, for further information.
>>
>>
>> Joyce K. Reynolds and Sandy Ginoza
>> USC/Information Sciences Institute
>>
>>
>>
>>
>> --------------------------------------------------------------------
>> IETF IPv6 working group mailing list
>> [email-masked]
>> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>> --------------------------------------------------------------------
> 
> 

-- 
________________________________________________________________________
Paul Wilson, Director-General, APNIC                      <[email-masked]>
http://www.apnic.net                            ph/fx +61 7 3858 3100/99
------------------------------------------------------------------------
See you at APNIC-19!                     Kyoto, Japan, 21 to 25 Feb 2005
    and APRICOT 2005                        http://www.apnic.net/meetings
------------------------------------------------------------------------
ASIAN TSUNAMI & EARTHQUAKE RELIEF APPEAL        see http://www.apnic.net

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------